トップページ > 記事閲覧
MinGW ver9.3.0 でのDXライブラリについて
名前:hir 日時: 2017/05/19 00:36

こんにちは。 私は今、Windowsにてgcc ver5.3.0を使用しており、DXライブラリを扱おうとしたところ、バージョンに対応したDXライブラリが見つかりませんでした。 近いバージョンの「5_2_0_x86_64」を用いるとビルドエラーでした...。 (というより上手くリンクできていない様子です) なので、お手数ですが DXライブラリのMinGW版の『プロジェクトに追加すべきファイル_GCC(MinGW)用』に、「5_3_0_x86_64」のフォルダを追加していただけないでしょうか? もしくは解決のためのアドバイス等いただけたら幸いです。 ちなみにMinGWのサイトにてダウンロードした最新版(2017.5.18時点)のインストーラを使用してgccをインストールしました。 もし管理者様以外でも、よい解決策をお持ちの方がいれば教えていただきたいです。 よろしくお願いします。
メンテ

Page: 1 |

Re: MinGW ver9.3.0 でのDXライブラリについて ( No.1 )
名前:管理人 日時:2017/05/20 23:07

すみません、hirさんがMinGWをダウンロードしたウェブサイトを教えていただけないでしょうか? というのも、MinGW は微妙に異なるバージョンが各所で作成されていて、配布されているウェブサイトも それぞれ異なるので…( そしてそれぞれ専用にライブラリファイルを用意しないと正常にコンパイルできない )
メンテ
Re: MinGW ver9.3.0 でのDXライブラリについて ( No.2 )
名前:hir 日時:2017/05/22 09:16

返信ありがとうございます。 「MinGW | Minimalist GNU for Windows ( mingw.org )」で配布されているインストーラです。
メンテ
Re: MinGW ver9.3.0 でのDXライブラリについて ( No.3 )
名前:管理人 日時:2017/05/22 23:54

ご返答ありがとうございます あと、すみません、うっかりしていたのですが、DXライブラリの現在のバージョンには gcc ver5.3.0 用の ファイルが存在します( プロジェクトに追加すべきファイル_GCC(MinGW)用\5_3_0_i686 というフォルダがそれです ) もし 5_3_0_i686 が無い頃のバージョンをお使いでしたら、こちらの最新版をお使いください m(_ _)m http://dxlib.o.oo7.jp/temp/DxLibGCC_MinGWTest.exe // Windows版 MinGW 用 あと、MinGW | Minimalist GNU for Windows ( mingw.org ) のサイトで配布されているインストーラーには 2種類あるようで、DXライブラリが対応しているのは https://sourceforge.net/projects/mingw/files/latest/download?source=files こちらのURLからダウンロードできるバージョンです もう一つの https://sourceforge.net/projects/mingw/files/Installer/mingw-get-setup.exe/download から ダウンロードできるバージョンは gcc のバージョンが 3.4.2 (mingw-special) という謎のバージョンなので、 もしこちらをダウンロードしてしまっていましたら前者の URL からダウンロードしなおしてください m(_ _;m
メンテ
Re: MinGW ver9.3.0 でのDXライブラリについて ( No.4 )
名前:hir(解決) 日時:2017/05/23 13:54

ご丁寧な対応ありがとうございます。 管理者様の仰るように「5_3_0_i686」を用いたところ無事コンパイルが通りました。 私の確認不足だったようです…。 手間をとらせてしまい申し訳ないです。 素早い対応、ありがとうございました!
メンテ
Re: MinGW ver9.3.0 でのDXライブラリについて ( No.5 )
名前:atom330 日時:2017/06/10 17:43

Thread model: win32 gcc version 5.3.0 (GCC) なんですが,5_3_0_i686 というのを使用すればいいのですか? 便乗質問をしてすみません。よろしくお願いします。
メンテ
Re: MinGW ver9.3.0 でのDXライブラリについて ( No.6 )
名前:管理人 日時:2017/06/10 18:21

はい、その通りです もし駄目でしたらお使いの gcc をダウンロードされたサイトを教えてください m(_ _)m
メンテ

Page: 1 |

題名
名前
コメント
パスワード (記事メンテ時に使用)

   クッキー保存